{
  lib,
  config,
  namespace,
  pkgs,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.programs.just;
in
{
  options = mkEnableModule "programs.just";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      just
    ];

    home.shellAbbrs.j = "just";
  };
}
