{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule enabled;

  cfg = config.marleyos.programs.zathura;
  inherit (config.marleyos.theme) colors;
in
{
  options = mkEnableModule "programs.zathura";

  config = mkIf cfg.enable {
    programs.zathura = {
      enable = true;

      rose-pine = mkIf colors.isRosePine enabled;
    };
  };
}
