{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.programs.zoxide;
in
{
  options = mkEnableModule "programs.zoxide";

  config = mkIf cfg.enable {
    programs.zoxide = {
      enable = true;

      options = [ "--cmd cd" ];
    };
  };
}
